Index: lib/matplotlib/collections.py
===================================================================
--- lib/matplotlib/collections.py	(revision 3262)
+++ lib/matplotlib/collections.py	(working copy)
@@ -153,7 +153,7 @@
         if not self.pickable(): return
         ind = []
         x, y = mouseevent.x, mouseevent.y
-        for i, thispoly in enumerate(self.get_transformed_patches()):            
+        for i, thispoly in enumerate(self.get_transformed_patches()):
             inside = nxutils.pnpoly(x, y, thispoly)
             if inside: ind.append(i)
         if len(ind):
@@ -167,7 +167,6 @@
         The ith element in the returned sequence is a list of x,y
         vertices defining the ith polygon
         """
-
         verts = self._verts
         offsets = self._offsets
         usingOffsets = offsets is not None
@@ -451,13 +450,19 @@
     __init__.__doc__ = dedent(__init__.__doc__) % kwdocd
 
     def get_transformed_patches(self):
-        
+
         xverts, yverts = zip(*self._verts)
         xverts = asarray(xverts)
         yverts = asarray(yverts)
         sizes = sqrt(asarray(self._sizes)*self._dpi.get()/72.0)
         Nsizes = len(sizes)
         transOffset = self.get_transoffset()
+
+        # optimize this case for an approx 4x speedup
+        if Nsizes == 1:
+            xy = asarray([xverts, yverts]).T * sizes[0]
+            polys = [xy + offset for offset in transOffset.seq_xy_tups(self._offsets)]
+
         polys = []
         for i, loc in enumerate(self._offsets):
             xo,yo = transOffset.xy_tup(loc)
